lock_fd(3)

NAME
lock_fd(),lockun_fd(),locktest_fd() - system-independant advisory lock interface.

SYNOPSIS
#include "fwfunc.h"

int lock_fd(int f)

int lockun_fd(int f)

int locktest_fd(int f)

DESCRIPTION
lock_fd,lockun_fd and locktest_fd functions do set, remove and non-blocking set exclusive advisory locks on descriptor f.

RETURN VALUES
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

SEE ALSO
flock(2),lockf(3),fcntl(2)

HISTORY
Functions were included in fwtk since 1.0